Skip to main content
POST
Create appointment

Authorizations

Authorization
string
header
required

Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.

Body

application/json
startAt
string<date-time>
required
endAt
string<date-time>
required
title
string | null
notes
string | null
status
enum<string>
Available options:
scheduled,
pending_approval,
accepted,
declined,
checked_in,
in_progress,
completed,
cancelled,
no_show
locationId
string<uuid> | null
appointmentTypeId
string<uuid> | null
optionId
string<uuid> | null
carId
string<uuid> | null
secondaryCarId
string<uuid> | null
customerId
string<uuid> | null
recurrenceFrequency
enum<string> | null
Available options:
daily,
weekly,
biweekly,
monthly,
quarterly,
yearly,
null
recurrenceInterval
integer | null
Required range: x >= 1
recurrenceDaysOfWeek
integer[] | null
Required range: 0 <= x <= 6
recurrenceDayOfMonth
integer | null
Required range: 1 <= x <= 31
recurrenceEndDate
string<date-time> | null
recurrenceCount
integer | null
Required range: x >= 1
recurrenceSeriesId
string<uuid> | null
eventTypeId
string<uuid>

Event type id from GET /event-types. Alternative to appointmentTypeId.

eventType
string

Event type value (e.g. vehicle_pick_up). Alternative to eventTypeId.

Minimum string length: 1

Response

Created.

data
object
required